package com.example.memosystem.dao.impl;

import com.example.memosystem.bean.Record;

import java.util.List;
import java.util.Map;

/**
 * 这个是接口用于限制操作
 */
public interface AdminDaoImpl {

    /**
     * 登录的方法
     */
    public  int registerAdmin(String ...da);

    /**
     * 登录的方法
     * @param da
     * @return
     */

    public  int loginAdmin(String ...da);


    public int changePassword(String ...da);


    public int changeMes(String ...da);

    public Map<String,String> showAccountMes(String account);


    public int delRecord(String ...da);
    public int saveRecord(String ...da);

    public List<Record> showRecord(String id);
}
